Bug 1298145 - Build Qupzilla with QtWebEngine
Build Qupzilla with QtWebEngine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qupzilla (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXQt 1303611
  Show dependency treegraph
 
Reported: 2016-01-13 05:40 EST by Raphael Groner
Modified: 2016-02-02 09:17 EST (History)
4 users (show)

See Also:
Fixed In Version: qupzilla-1.9.99-0.7.20160127git06b2414d801eb.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 09:17:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2016-01-13 05:40:08 EST
Description of problem:
Am 11.01.2016 um 03:37 schrieb Kevin Kofler:
> Hi QupZilla (co)maintainers,
>
> as I have seen all 4 of you on #fedora-kde recently, this might not come as a
> big surprise to you, but you will be happy to hear that qt5-qtwebengine is now
> available in Rawhide. I've successfully built
> qt5-qtwebengine-5.6.0-0.6.beta.fc24 today:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=710283
> (I know the date and EVR in the changelog are wrong, I fixed that in the next
> commit. ;-) )
>
> Therefore, if and when you want to upgrade QupZilla in Rawhide to a snapshot of
> the upcoming QupZilla 2, you can do so. I have a working specfile in my
> qtwebengine Copr:
> http://copr-dist-git.fedorainfracloud.org/cgit/kkofler/qtwebengine/qupzilla.git/tree/qupzilla.spec?id=e220b8abecb700be42313b0e06ff2585e2c704af
> that you are of course free to use. Just keep in mind that QupZilla 2 is NOT
> released yet, this is just a git snapshot for testing. I have not tried it yet,
> so it may or may not be suitable for Rawhide at this time. The built packages
> are of course available from the Copr:
> https://copr.fedoraproject.org/coprs/kkofler/qtwebengine/
>
> Kind regards,
>         Kevin Kofler

Version-Release number of selected component (if applicable):
-

How reproducible:
-

Steps to Reproduce:
1. dnf install qupzilla
2.
3.

Actual results:
qupzilla needs qtwebkit

Expected results:
qupzilla does not need qtwebkit but instead qtwebengine

Additional info:
Comment 1 Raphael Groner 2016-01-20 15:02:22 EST
Qupzilla 2 is proposed as part of the Self Contained Change for QtWebEngine.
https://fedoraproject.org/wiki/Changes/QtWebEngine
Comment 2 Kevin Kofler 2016-01-22 20:16:21 EST
My latest packaging can always be found at:
http://copr-dist-git.fedorainfracloud.org/cgit/kkofler/qtwebengine/qupzilla.git/tree/

I was also told that the upstream author of QupZilla plans an official QupZilla 2 release when Qt 5.6 is officially released.
Comment 3 Kevin Kofler 2016-02-02 09:17:46 EST
Built in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.